#include "timelineitem.h"

TimelineItem::TimelineItem(QObject *parent) : QObject(parent), m_mediaPlayer(new QMediaPlayer)
{
    m_mediaPlayer->setMuted(true);
    m_mediaPlayer->setNotifyInterval(10);

//    connect(m_mediaPlayer, &QMediaPlayer::mediaStatusChanged,
//        this,
//        [=](auto status)
//        {
//            qDebug() << "MEDIA STATUS" << status << "---" << m_mediaPlayer->error();
//        }
//    );
}

void TimelineItem::loadVideo(QString path)
{
    qDebug() << "Attempting to load video from path" << path;
    m_filepath.setUrl(path);
    m_mediaPlayer->setMedia(m_filepath);
    m_mediaPlayer->play();
    m_mediaPlayer->pause();

    // Causes strange crashes/exceptions
//    QFile mediafile(path);
//    mediafile.open(QIODevice::ReadOnly);

//    m_videoByteArray->clear();
//    m_videoByteArray->append(mediafile.readAll());

//    m_videoBuffer->setBuffer(m_videoByteArray.get());
//    m_videoBuffer->open(QIODevice::ReadOnly);
//    m_videoBuffer->reset();
//    m_mediaPlayer->setMedia(QMediaContent(), m_videoBuffer.get());
}

TimelineItem::~TimelineItem()
{
    qDebug() << "Destroying timeline item with name" << m_name;
}
