#ifndef CONTROLVIEW_H
#define CONTROLVIEW_H

#include <QWidget>
#include <QAction>

#include <QToolBar>
#include <QVBoxLayout>
#include <QSpinBox>

#include "Models/Engine/engine.h"

class ControlView : public QWidget
{
    Q_OBJECT
public:
    explicit ControlView(QWidget *parent = nullptr);

protected:
    QToolBar* m_primaryToolbar;
    QToolBar* m_secondaryToolbar;

    QWidget* m_primaryLeftSpacer;
    QWidget* m_primaryRightSpacer;

    QVBoxLayout* m_layout;

public slots:
    void onPositionChanged();

signals:

};

#endif // CONTROLVIEW_H
