#ifndef QUANTITYPANELVIEW_H
#define QUANTITYPANELVIEW_H

#include <QWidget>
#include <QTreeWidget>
#include "quantitypanelitem.h"
#include "Models/Engine/engine.h"

class QuantityPanelView : public QTreeWidget
{
    Q_OBJECT
public:
    explicit QuantityPanelView(QWidget *parent = nullptr);

protected:
    void clearAllItems()
    {
        while (topLevelItemCount() > 0)
            takeTopLevelItem(0);
    }

    void updateQuantities();

protected slots:
    void onItemChanged(QTreeWidgetItem* item, int column);
    void onCurrentItemChanged(QTreeWidgetItem *current, QTreeWidgetItem *previous);


signals:
};

#endif // QUANTITYPANELVIEW_H
