#ifndef SINGLEVIDEOVIEW_H
#define SINGLEVIDEOVIEW_H

#include <QWidget>
#include <QVBoxLayout>
#include <QVideoWidget>
#include <QLabel>
#include "Models/Timeline/timelineitem.h"
class SingleVideoView : public QWidget
{
    Q_OBJECT
public:
    explicit SingleVideoView(QWidget *parent = nullptr, TimelineItem *item = nullptr);

private:
    QVBoxLayout* m_layout;
    QVideoWidget* m_videoWidget;
    QLabel* m_videoTitleLabel;
    QLabel* m_videoPositionLabel;

    TimelineItem* m_timelineItem;
signals:

public slots:
    void updatePositionLabel(qint64 position);
    void updateVisibility(bool visible);
};

#endif // SINGLEVIDEOVIEW_H
