#ifndef XYPLOTPANELVIEW_H
#define XYPLOTPANELVIEW_H

#include <QWidget>

#include <QComboBox>
#include <QGridLayout>
#include <QLabel>

#include "xyplotview.h"

class XYPlotPanelView : public QWidget
{
    Q_OBJECT
public:
    explicit XYPlotPanelView(QWidget *parent = nullptr);

private slots:
    void onCurrentPlotChanged();

private:
    QGridLayout* m_layout;
    XYPlotView* m_plotView;

    QLabel* m_quantityLabel;
    QComboBox* m_quantityComboBox;
signals:

};

#endif // XYPLOTPANELVIEW_H
