---
layout: default
title: Loading Content
---
## Load a base video
The **base video** is a video file that everything else is offset from.

To set the base video, navigate to **File > Set Base Video...**. Select the
video file you wish to use as the base video.

## Load a plot file
The **plot file** is an RMCTools .rmcplots file that can be offset from the
base video, so that the relationship between the videos and the data captured
in the plot can be analyzed.

To load a plot file, navigate to **File > Set Plot...**. Select the RMCTools
plot file you wish to use.

## Load additional videos
In some circumstances, you may want to be able to compare the plot data to 
multiple videos at the same time. By loading additional videos, you can view
them side-by-side with the base video and the plot file.

To load an additional video, navigate to **File > Import Video...**. Select the
video file you wish to import as an additional video.