---
layout: default
title: Workspaces & The Timeline
---
VideoSync's use consists of two major phases:
* First, you need to load the files into VideoSync and align them.
* Next, you'll want to look at the plot data more closely.

VideoSync provides _workspaces_ for these operations.

## Align items in Synchronize mode
The **Synchronize** workspace allows you to view and modify the offsets of the
plot file and all additional videos relative to the base video.

While in this mode, you can lock/unlock the plot file and videos (except for
the base video, which is always locked), and show/hide the videos in the view
at the top. The symbols on the left side of the timeline indicate the current
lock and visibility status of each element, and allow you to toggle them by
clicking them.

You may also modify the properties of a timeline element by right-clicking it.
This includes setting its name, offset from the base video, lock status, and
visibility (where applicable).

## Inspect plot values in Analyze mode
The **Analyze** workspace hides the videos in the Timeline and provides more
detail on the plot data, including tick marks on the vertical axis for the
currentl vertical axis scale group.

To switch the scale group used for the vertical axis, click on a quantity in the
"Properties" panel. (If you don't see the "Properties" panel, click on
**Window > Properties** in the window menu.)