#include "plotdrawer.h"

PlotDrawer::PlotDrawer(QObject *parent, QSize size, bool xyPlot) : QThread(parent), m_size(size), m_xyPlot(xyPlot)
{
}

void PlotDrawer::run()
{
    if (Engine::engine->plotFile() != nullptr)
    {
        if (m_xyPlot)
            m_plotImage = Engine::engine->getXYPlot(m_size);
        else
            m_plotImage = Engine::engine->getTYPlot(m_size);
    }

    emit plotsComplete(m_plotImage);
}
