#ifndef RMCPLOTITEM_H
#define RMCPLOTITEM_H

#include <QObject>

class RmcPlotItem : public QObject
{
public:
    explicit RmcPlotItem(QObject *parent = nullptr);

    QString address() { return m_address; }
    void setAddress(QString address) { m_address = address; }

    qreal minValue() { return m_min; }
    void setMinValue(qreal value) { m_min = value; }

    qreal maxValue() { return m_max; }
    void setMaxValue(qreal value) { m_max = value; }

private:
    QString m_address;
    qreal m_min = FLT_MAX;
    qreal m_max = FLT_MIN;
};

#endif // RMCPLOTITEM_H
