#ifndef RMCPLOTSAMPLE_H
#define RMCPLOTSAMPLE_H

#include <QObject>

class RmcPlotSample : public QObject
{
    Q_OBJECT
public:
    explicit RmcPlotSample(QObject *parent = nullptr);

    int interval() { return m_interval; }
    void setInterval(int interval) { m_interval = interval; }

    QList<qreal> values() { return m_values; }
    void appendValue(qreal value) { m_values.append(value); }
    qreal valueAt(int index) { return m_values.value(index); }
private:
    int m_interval;
    QList<qreal> m_values;
signals:

};

#endif // RMCPLOTSAMPLE_H
