#ifndef SVGCOLORRENDERER_H
#define SVGCOLORRENDERER_H

#include <QObject>
#include <QPainter>
#include <QColor>
#include <QRectF>
#include <QFile>
#include <QtSvg/QSvgRenderer>
class SVGColorRenderer
{
public:
    SVGColorRenderer();

    void loadSvg(QString path);

    void render(QPainter* painter, QColor color, QRectF rect, qreal opacity = 1.0);

protected:
    QString m_svgString;
    QString getColoredSvg(QColor color, qreal opacity = 1.0);
};

#endif // SVGCOLORRENDERER_H
